%define dist	MDV-Distribconf
%define version	3.10
%define release	%mkrel 1

Summary:	Read and write config of a Mandriva Linux distribution tree
Name:		perl-%{dist}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	%{dist}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{dist}/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildArch:	noarch
BuildRequires:	perl perl-Config-IniFiles perl-MDV-Packdrakeng
BuildRequires:  perl(RPM4)

%description
MDV::Distribconf is a module to get/write the configuration of a Mandriva Linux
distribution tree.

%package -n mdv-distrib-tools
Summary: Tools use to maintains Mandriva distrib tree
Group: Development/Perl

%description -n mdv-distrib-tools
Tools use to maintains Mandriva distrib tree.

This include:
- gendistrib (experimental)
- checkdistrib

%prep
%setup -q -n %{dist}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%{_mandir}/*/MDV::Distribconf.*
%dir %{perl_vendorlib}/MDV/Distribconf
%{perl_vendorlib}/MDV/Distribconf.pm

%files -n mdv-distrib-tools
%defattr(-,root,root)
%_bindir/*
%{perl_vendorlib}/MDV/Distribconf/*
%{_mandir}/*/MDV::Distribconf::*



%changelog
* Fri Jul 20 2007 Olivier Thauvin <nanardon@mandriva.org> 3.10-1mdv2008.0
+ Revision: 54063
- 3.10

* Fri Jul 06 2007 Olivier Thauvin <nanardon@mandriva.org> 3.09-0.1mdv2008.0
+ Revision: 48966
- 3.09

* Tue Jul 03 2007 Olivier Thauvin <nanardon@mandriva.org> 3.08-1mdv2008.0
+ Revision: 47533
- 3.08


* Mon Feb 19 2007 Olivier Thauvin <nanardon@mandriva.org> 3.07-1mdv2007.0
+ Revision: 122735
- 3.07

* Sat Sep 09 2006 Olivier Thauvin <nanardon@mandriva.org> 3.06-1mdv2007.0
+ Revision: 60646
- 3.06

* Sat Aug 26 2006 Olivier Thauvin <nanardon@mandriva.org> 3.05-1mdv2007.0
+ Revision: 58015
- 3.05

* Fri Aug 25 2006 Olivier Thauvin <nanardon@mandriva.org> 3.04-1mdv2007.0
+ Revision: 57913
- 3.04

* Wed Aug 23 2006 Olivier Thauvin <nanardon@mandriva.org> 3.03-2mdv2007.0
+ Revision: 57513
- fix buildrequires

* Wed Aug 23 2006 Olivier Thauvin <nanardon@mandriva.org> 3.03-1mdv2007.0
+ Revision: 57490
- 3.03

* Wed Aug 23 2006 Olivier Thauvin <nanardon@mandriva.org> 3.02-1mdv2007.0
+ Revision: 57078
- 3.02

* Tue Aug 22 2006 Olivier Thauvin <nanardon@mandriva.org> 3.01-1mdv2007.0
+ Revision: 57003
- 3.01

* Tue Aug 22 2006 Olivier Thauvin <nanardon@mandriva.org> 3.00-1mdv2007.0
+ Revision: 56950
- bump release

* Tue Aug 22 2006 Olivier Thauvin <nanardon@mandriva.org> 3.00-0.1mdv2007.0
+ Revision: 56945
- 3.00

* Sun Aug 20 2006 Olivier Thauvin <nanardon@mandriva.org> 2.04-1mdv2007.0
+ Revision: 56868
- 2.04

* Sat Aug 19 2006 Olivier Thauvin <nanardon@mandriva.org> 2.03-1mdv2007.0
+ Revision: 56787
- 2.03

* Tue Jul 25 2006 Olivier Thauvin <nanardon@mandriva.org> 2.02-1mdv2007.0
+ Revision: 41983
- add sources
- 2.02

* Fri Jul 21 2006 Olivier Thauvin <nanardon@mandriva.org> 2.01-1mdv2007.0
+ Revision: 41770
- 2.01
- 2.00
- Import perl-MDV-Distribconf

* Tue Dec 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.01-1mdk
- 1.01

* Sat Oct 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.00-1mdk
- Initial MDV release

